Option Explicit
Dim First
Dim TextCount
Dim Texts()
Dim TextLength()
Dim Index
Dim LengthStruct
Dim LengthTexts
Dim Data

TextCount = Int(InputBox("How many choices ?"))
If (TextCount < 1) Then RaiseError "Not enough choices !"
If (TextCount > 8) Then RaiseError "Too much choices !"
ReDim Texts(TextCount)
ReDim TextLength(TextCount)
LengthTexts = 0
TextGet(0)
First = Iif(TextLength(0) > 0, 0, 1)
If (TextCount + First > 8) Then RaiseError "You can have 8 choices only if there's no title."
LengthStruct = (TextCount - First) * 5 + 6

For Index = 1 To TextCount
    TextGet(Index)
Next

Data = "["
AddWord(LengthStruct + LengthTexts)
For Index = First To TextCount
    AddByte(Iif(First Or Index, 5, 1))
    AddByte(1)
    AddByte(Iif(Index = 0, 1, Index))
    AddWord(TextGetPos(Index))
Next
AddByte(0)
For Index = First To TextCount
    If (Index > First) Then Data = Data & "["
    AddByte(TextLength(Index))
    Data = Data & "]"
    If (TextLength(Index) > 0) Then AddString(Texts(Index))
Next
Data = Data & "->GDB0"
InputBox "Here's the data :" & Chr(13) & Chr(10) & "(copy/paste it)",, Data

Function vbCrLf()
    vbCrLf = Chr(13) & Chr(10)
End Function
Sub TextGet(Index)
    Texts(Index) = InputBox("Type the " & iif(Index = 0, "title", "choice #" & index) & "." & Chr(13) & Chr(10) & iif(Index = 0, "(up to 16 characters, leave blank for no title)", "(from 0 to 14 characters)"))
    TextLength(Index) = Len(Texts(Index))
    If TextLength(Index) > iif(Index = 0, 16, 14) Then RaiseError "Text too long !"
    LengthTexts = LengthTexts + TextLength(Index) + 1
End Sub
Function TextGetPos(Index)
    Dim SubIndex
    TextGetPos = LengthStruct
    For SubIndex = 0 To Index - 1
        TextGetPos = TextGetPos + TextLength(SubIndex) + 1
    Next
End Function
Sub AddString(Text)
    Data = Data & """" & Text & """"
End Sub
Sub AddWord(Number)
    AddByte(Number Mod 256)
    AddByte(Number \ 256)
End Sub
Sub AddByte(Number)
    Data = Data & Right("00" & Hex(Number), 2)
End Sub
Function Iif(Condition, ReturnIfTrue, ReturnIfFalse)
    If Condition Then
        Iif = ReturnIfTrue
    Else
        Iif = ReturnIfFalse
    End If
End Function
Sub RaiseError(Message)
    MsgBox Message, vbCritical
    WScript.Quit
End Sub